package com.avif.demo.util

import java.io.ByteArrayOutputStream
import java.io.IOException
import java.io.InputStream

object ByteArrayUtil {

    /**
     * inputStream转byteArray
     */
    fun inputStreamToByteArray(inputStream: InputStream): ByteArray {
        try {
            ByteArrayOutputStream().use { byteArrayOutputStream ->
                val buffer = ByteArray(1024)
                var num: Int
                while (inputStream.read(buffer).also { num = it } != -1) {
                    byteArrayOutputStream.write(buffer, 0, num)
                }
                byteArrayOutputStream.flush()
                return byteArrayOutputStream.toByteArray()
            }
        } catch (e: IOException) {
            e.printStackTrace()
        }
        return byteArrayOf()
    }

}