package com.avif.demo.util

import android.util.Log
import com.avif.demo.entity.EncodeResult

object LogUtil {

    private const val TAG = "LogUtil"

    fun encodeLog(result: EncodeResult) {
        if (result != null) {
            Log.e(TAG, "=====>编码耗时:${result.differTime}ms")
            Log.e(TAG, "====avif文件创建成功====")
            if (result.file != null) {
                Log.e(TAG, "=====>文件名称:${result.file.name}")
                Log.e(TAG, "=====>文件路径:${result.file.path}")
                Log.e(TAG, "=====>文件大小:${result.file.length()}")
            }
        }
    }

}